
package de.ivu.elect.presentation.wertelisten.form;

import java.io.Serializable;

import de.ivu.elect.business.wertelisten.entity.Wertelisten;
import de.ivu.elect.business.wertelisten.entity.WertelistenProperties;
import de.ivu.elect.jee.presentation.dynamicform.FormBuilder;

public class WertelistenViewFormBuilder implements Serializable {

  private static final long serialVersionUID = 1L;

  public void addProperties(FormBuilder builder, Wertelisten wertelisten) {
    WertelistenProperties properties = wertelisten.getProperties();

    builder.addProperty(properties.getNameProperty());
    builder.addProperty(properties.getWertelistenArtProperty());
  }
}
